WSDL::BindingMessageDescription Class Reference

describes an input or output message in a SOAP operational binding More...

## Public Attributes

*WSDL::BindingMessageBodyDescription | body
| the description of the message body
*hash< auto > | urlReplacement
| a hash of URL replacement values keyed by part name, values are URI paths More...
bool | urlEncoded = False
| indicates that all the message parts are encoded into the HTTP request URI using the standard URI-encoding rules More...
*WSDL::BindingContentDescription | content
| optional content-type descriptions
*WSDL::MimeXmlMessageDescription | mimeXml
| optional mimeXml message scription

## Private Member Functions

bool | hasHeaders ()
| returns True if the header descriptions are available
list< BindingMessageHeaderDescription > | getHeaders ()
| returns a list of WSDL::BindingMessageHeaderDescription objects

## Detailed Description

describes an input or output message in a SOAP operational binding

## Member Data Documentation

## urlEncoded

bool WSDL::BindingMessageDescription::urlEncoded = False

indicates that all the message parts are encoded into the HTTP request URI using the standard URI-encoding rules

ex: name1=value&name2=value...

The names of the parameters correspond to the names of the message parts. Each value contributed by the part is encoded using a name=value pair. This may be used with GET to specify URL encoding, or with POST to specify a FORM-POST. For GET, the "?" character is automatically appended as necessary.

Note
  for HTTP bindings only

See also
  https://www.w3.org/TR/wsdl#_http:urlEncoded

## urlReplacement

*hash<auto> WSDL::BindingMessageDescription::urlReplacement

a hash of URL replacement values keyed by part name, values are URI paths

Note
  for HTTP bindings only